Subject: [Mip4] Re: [mobile-ip] relaxed re-registration (was: comments on draft-ietf-mobileip-vpn-problem-solution-02)

From: Henrik Levkowetz <[email-masked]>
Date: Tue, 5 Aug 2003 12:17:06 +0200

Hi Sami and Tom,

	I'm adding the mip4 list to the recipients. Further below:

Tuesday  5 August 2003, Sami wrote in response to Tom Hiller on the
topic of detecting movement into/out of a VPN domain using frequent
MIP re-registrations:

... [ skipping over a lot of interesting questions and responses,
      to get to one particular item ] ...

>   6) Relax the re-registration requirement as follows:
>         - The MN does not need to re-register periodically,
>           if there is no traffic.
> 
>         - However, when traffic is about to be sent or
>           received, the traffic is queued up (or dropped),
>           and a re-registration invoked (assuming more
>           than N seconds have passed since last re-reg.)
> 
>         - If the re-registration goes through, the traffic
>           is delivered;  if not, it is dropped and the MN
>           registers through the x-HA.
> 
> If we want to have better support for idle devices
> (esp. battery powered ones), I'd go with alternative 6.
> Although it adds complexity (queue management and such),
> such complexity will only be required when the steady
> re-registration is an issue.  There is still some
> battery overhead involved, but that only happens when
> the MN is sending/receiving MIP tunneled traffic (i.e.
> is active).

I find this a particularly interesting suggestion, as it seems
to answer several of the issues related to battery consumption
which Tom has raised, without some of the downside which other
potential solutions seem to have. I think this would be worthy
of further consideration.

	Henrik

_______________________________________________
Mip4 mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mip4